KFIFO_PUT(9)

NAME
kfifo_put - put data into the fifo

SYNOPSIS

kfifo_put(fifo, val);

ARGUMENTS

fifo
    address of the fifo to be used

val
    the data to be added

DESCRIPTION

This macro copies the given value into the fifo. It returns 0 if the fifo was full. Otherwise it returns the number processed elements.

Note that with only one concurrent reader and one concurrent writer, you don't need extra locking to use these macro.

COPYRIGHT